org.rrd4j.graph

## Class HRule

- java.lang.Object
- - org.rrd4j.graph.PlotElement
  - - org.rrd4j.graph.Rule
    - - org.rrd4j.graph.HRule

-     class HRule
      extends Rule

  Represents a horizontal rule in RRD graphs. Draws a horizontal line at a specific value across the graph with optional legend.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) double` | `value` The value at which to draw the horizontal rule

    - ### Fields inherited from class org.rrd4j.graph.Rule

      `legend, stroke`

    - ### Fields inherited from class org.rrd4j.graph.PlotElement

      `color`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HRule(double value, Paint color, LegendText legend, BasicStroke stroke)` Creates a horizontal rule at the specified value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `setLegendVisibility(double minval, double maxval, boolean forceLegend)` Sets legend visibility based on value range and force setting.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          final double value

      The value at which to draw the horizontal rule

  - ### Constructor Detail

    - #### HRule

          HRule(double value,
                Paint color,
                LegendText legend,
                BasicStroke stroke)

      Creates a horizontal rule at the specified value.
      Parameters:
        `value` - the y-axis value for the rule
        `color` - color for the rule line
        `legend` - optional legend text
        `stroke` - stroke style for the line

  - ### Method Detail

    - #### setLegendVisibility

          void setLegendVisibility(double minval,
                                   double maxval,
                                   boolean forceLegend)

      Sets legend visibility based on value range and force setting.
      Parameters:
        `minval` - minimum value range
        `maxval` - maximum value range
        `forceLegend` - if true, legend is always visible